Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class InvalidBERException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.mozilla.jss.asn1.InvalidBERException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidBERException.EOF, InvalidBERException.InvalidChar

public class InvalidBERException
extends java.lang.Exception

An exception thrown when BER decoding fails.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `InvalidBERException.EOF`
`static class` | `InvalidBERException.InvalidChar`

Constructor Summary
`InvalidBERException(InvalidBERException e, java.lang.String mesg)`
`InvalidBERException(java.lang.String mesg)`

Method Summary
`void` | `append(java.lang.String mesg)`
`java.lang.String` | `toString()`
`java.lang.String` | `toStringNested()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidBERException

    public InvalidBERException(java.lang.String mesg)

### InvalidBERException

    public InvalidBERException(InvalidBERException e,
                               java.lang.String mesg)

Method Detail

### append

    public void append(java.lang.String mesg)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

### toStringNested

    public java.lang.String toStringNested()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD